Subject: bug#22498: cmp man page too sophisticated

From: Bernhard Voelker <[email-masked]>
Date: Tue, 2 Feb 2016 00:02:15 +0100

tag 22498 notabug
close 22498
stop

On 01/31/2016 03:45 AM, 積丹尼 Dan Jacobson wrote:
> Man cmp:
>        -i, --ignore-initial=SKIP
>               skip first SKIP bytes of both inputs
> 
>        -i, --ignore-initial=SKIP1:SKIP2
>               skip first SKIP1 bytes of FILE1 and first SKIP2 bytes of FILE2
> I would say:
> 
>        -i SKIP, --ignore-initial=SKIP
>               skip first SKIP bytes of both inputs
> 
>        -i SKIP1:SKIP2, --ignore-initial=SKIP1:SKIP2
>               skip first SKIP1 bytes of FILE1 and first SKIP2 bytes of FILE2
> 
> I mean if the user was smart enough to figure that out, he probably
> wouldn't be reading the man page anyway.

'cmp' is not part of the GNU coreutils:

  $ cmp --help | grep bugs
  Report bugs to: [email-masked]

Therefore, I'm marking this as not a bug here.

You may want to discuss this on the diffutils mailing list,
but I think you'll be directed to this sentence in front
of the options list of the --help output:

  Mandatory arguments to long options are mandatory for short options too.

Have a nice day,
Berny